# Managed Cards

Managed Cards are a type of financial instrument offered by Weavr.

You can create virtual or physical cards that are issued to the consumer or corporate identity.

A card created in prepaid mode has its own balance, whereas a card created in debit mode does not have its own balance but taps into the balance of its parent managed account.


## Create a managed card

 - [POST /managed_cards](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardcreate.md): Creates a managed card for the consumer or corporate identity.
The Managed Card Profile (configured in the Multi Portal) specified determines the behaviour and restrictions that the managed card will have.

## Get all managed cards

 - [GET /managed_cards](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardsget.md): Fetch cards matching the search criteria provided.

## Get a managed card

 - [GET /managed_cards/{id}](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardget.md): Returns all details of the managed card identified by the id path parameter.

## Update a managed card

 - [PATCH /managed_cards/{id}](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardupdate.md): Update the details of the managed card identified by the id path parameter.

## Block a managed card

 - [POST /managed_cards/{id}/block](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardblock.md): Blocks the managed card identified by the id path parameter. This is a reversible action and the card can be unblocked using the _managedCardUnblock_ operation.

## Unblock a managed card

 - [POST /managed_cards/{id}/unblock](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardunblock.md): Unblocks the managed card identified by the id path parameter.
The managed card must have state.blockedReason as USER so that it can be unblocked.
If the managed card was blocked by SYSTEM, users cannot unblock it.

## Remove a managed card

 - [POST /managed_cards/{id}/remove](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardremove.md): Destroys the managed card identified by the id path parameter. Unlike block, this action is not reversible.

A managed card must be empty before it can be destroyed using this operation.

## Get a managed card statement

 - [GET /managed_cards/{id}/statement](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardstatement.md): Returns a statement for the managed card identified by the id path parameter.

The statement contains only posted/completed transactions where funds have definitively moved. Pre-paid mode cards hold their own balance and so the openingBalance, closingBalance and balanceAfter refer only to the requested card. Debit-mode cards are linked to a parent Managed Account, which can have its own independent transactions that effect the balance. Therefore running balances in this response will not map exactly to card transactions.

Pending transactions (authorisations) are excluded from the statement.

## Get transaction activity for a managed card

 - [GET /managed_cards/{id}/transactions](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardtransactionsget.md): Returns all transactional activity on the managed card identified by the id path parameter.

This includes pending authorisations, completed settlements, refunds, and all other card transaction types
in a unified schema.

## Get a specific transaction for a managed card

 - [GET /managed_cards/{id}/transactions/{transactionId}](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardtransactionget.md): Returns a specific transaction on the managed card.

## Upgrade a card to physical

 - [POST /managed_cards/{id}/physical](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalupgrade.md): Upgrades the virtual card identified by the id path parameter to physical.

Before cards can be upgraded, a physical card programme must be set up and the card profile configuration updated accordingly.

## Activate a physical card

 - [POST /managed_cards/{id}/physical/activate](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalactivate.md): Activates the physical card identified by the id path paramter.

## Get PIN for a physical card

 - [GET /managed_cards/{id}/physical/pin](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalpinget.md): Retrieves the PIN of the physical card identified by the id path parameter.

## Unblock PIN for a physical card

 - [PATCH /managed_cards/{id}/physical/pin/unblock](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalpinunblock.md): Physical cards can be marked as pinBlocked if there are too many failed PIN attempts.

Use this operation to unblock a PIN so that the card can be used again.

## Replace a damaged physical card

 - [POST /managed_cards/{id}/physical/replace_damaged](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalreplacedamaged.md): Report as damaged, and replace the physical card identified by the id path parameter.

## Report a physical card as lost

 - [POST /managed_cards/{id}/physical/report_lost](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalreportlost.md): Report the physical card identified by the id path parameter as lost. This will deactivate the instrument and a new card will need to be requested.

## Report a physical card as stolen

 - [POST /managed_cards/{id}/physical/report_stolen](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalreportstolen.md): Report the physical card identified by the id path parameter as stolen. This will destroy the instrument and a new replacement card will need to be requested.

Once a replacement is requested, any funds remaining on this destroyed card will be transferred to the replacement card."

## Replace a lost or stolen physical card

 - [POST /managed_cards/{id}/physical/replace_lost_stolen](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalreplacelostorstolen.md): Issue a replacement for the physical card, identified by the id path parameter, that has already been reported as lost or stolen.

Any funds (that are not blocked pending a purchase for a previous authorisation) remaining on the card will be automatically transferred to the new replacement card.

## Reset contactless limit for a physical card

 - [POST /managed_cards/{id}/physical/contactless_limit/reset](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardphysicalcontactlesslimitreset.md): For security purposes, the cardholder needs to provide the PIN after a number of contactless purchases. Use this operation to reset the physical card's contactless limit.
The contactless limit can only be reset for physical cards having the wearable form factor.

## Get a managed card statement (deprecated) (deprecated)

 - [GET /deprecated/managed_cards/{id}/statement](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardstatementdeprecated.md): Deprecated in favour of GET /managed_cards/{id}/statements. Returns a list of transactions against the managed card identified by the id path parameter, matching the criteria provided in the request.

